Bug 1845836 - [azure-file] "Permission denied" when read/write to mounted directory on RHEL node.
Summary: [azure-file] "Permission denied" when read/write to mounted directory on RHEL...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.3.z
Assignee: Russell Teague
QA Contact: Wei Duan
URL:
Whiteboard:
Depends On: 1845830
Blocks: 1845837
TreeView+ depends on / blocked
 
Reported: 2020-06-10 08:10 UTC by Wei Duan
Modified: 2020-07-01 15:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
SELinux permissions were blocking read/write access to mounted volumes on the Azur platform. SELinux booleans are updated to match RHCOS 8.x to allow proper access.
Clone Of: 1839965
Environment:
Last Closed: 2020-07-01 15:02:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift openshift-ansible pull 12185 0 None closed [release-4.3] Bug 1845836: Enable seboolean for Azure mount support 2020-06-26 14:22:25 UTC
Red Hat Product Errata RHBA-2020:2628 0 None None None 2020-07-01 15:02:49 UTC

Comment 3 Wei Duan 2020-06-23 07:56:07 UTC
Verified pass on 4.3.0-0.nightly-2020-06-20-130223.

Starting pod/wduan0622c-nhxbn-rhel-0-debug ...
To use host binaries, run `chroot /host`
Pod IP: 10.0.1.8
If you don't see a command prompt, try pressing enter.

sh-4.2# chroot /host
sh-4.2# getsebool virt_use_samba
virt_use_samba --> on
sh-4.2# getsebool container_use_cephfs
container_use_cephfs --> on

Comment 5 errata-xmlrpc 2020-07-01 15:02:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2628


Note You need to log in before you can comment on or make changes to this bug.